#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFA,0xF0,0xB9,0x78,0x54,0xF9,0x74,0x4A,0xA4,0xF9,0xAE,0x6B,
		0x6B,0x81,0x8E,0x9E,0x7E,0x79,0xEA,0xFB,0xB8,0x35,0x6A,0xCC,
		0x2D,0x2C,0x52,0x6A,0xA4,0x90,0xE3,0xCE,0x3C,0x5D,0x3C,0x85,
		0xFF,0xD6,0xAD,0x97,0x32,0x67,0xBE,0x1B,0xDE,0x78,0x01,0xCC,
		0xA4,0xB7,0x6B,0x9F,0x9C,0x39,0x71,0x80,0x6F,0x11,0x97,0x94,
		0x76,0xDC,0xB8,0x43,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
